Multiple vulnerabilities in Google Chrome



Published: 2022-03-04
Risk High
Patch available YES
Number of vulnerabilities 21
CVE-ID CVE-2022-0800
CVE-2022-0809
CVE-2022-0808
CVE-2022-0807
CVE-2022-0806
CVE-2022-0805
CVE-2022-0804
CVE-2022-0803
CVE-2022-0802
CVE-2022-0801
CVE-2022-0799
CVE-2022-0789
CVE-2022-0798
CVE-2022-0797
CVE-2022-0796
CVE-2022-0795
CVE-2022-0794
CVE-2022-0793
CVE-2022-0792
CVE-2022-0791
CVE-2022-0790
CWE-ID CWE-122
CWE-125
CWE-416
CWE-358
CWE-200
CWE-264
CWE-119
CWE-843
Exploitation vector Network
Public exploit N/A
Vulnerable software
Subscribe
Google Chrome
Client/Desktop applications / Web browsers

Vendor Google

Security Bulletin

This security bulletin contains information about 21 vulnerabilities.

1) Heap-based buffer overflow

EUVDB-ID: #VU61002

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0800

CWE-ID: CWE-122 - Heap-based Buffer Overflow

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing untrusted HTML content in Cast UI. A remote attacker can create a specially crafted web page, trick the victim into opening it, trigger a heap-based buffer overflow and execute arbitrary code on the target system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1242962
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0800

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

2) Out-of-bounds read

EUVDB-ID: #VU61010

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0809

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to crash the browser.

The vulnerability exists due to a boundary condition within the WebXR component in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger an out-of-bounds read error and crash the browser.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1293428
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0809

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

3) Use-after-free

EUVDB-ID: #VU61009

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0808

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within Chrome OS Shell in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger a use-after-free error and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1292271
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0808

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

4) Improperly implemented security check for standard

EUVDB-ID: #VU61008

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0807

CWE-ID: CWE-358 - Improperly Implemented Security Check for Standard

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to incorrect implementation in Autofill in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1287364
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0807

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

5) Information disclosure

EUVDB-ID: #VU61012

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0806

CWE-ID: CWE-200 - Information Exposure

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to excessive data output in Canvas in Google Chrome. A remote attacker can trick the victim to open a specially crafted web page and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1283434
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0806

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

6) Use-after-free

EUVDB-ID: #VU61007

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0805

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within Browser Switcher in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger a use-after-free error and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1290700
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0805

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

7) Improperly implemented security check for standard

EUVDB-ID: #VU61006

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0804

CWE-ID: CWE-358 - Improperly Implemented Security Check for Standard

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to incorrect implementation in Full screen mode in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1264561
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0804

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

8) Improperly implemented security check for standard

EUVDB-ID: #VU61005

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0803

CWE-ID: CWE-358 - Improperly Implemented Security Check for Standard

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to incorrect implementation in Permissions in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1280233
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0803

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

9) Improperly implemented security check for standard

EUVDB-ID: #VU61004

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0802

CWE-ID: CWE-358 - Improperly Implemented Security Check for Standard

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to incorrect implementation in Full screen mode in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1270052
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0802

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

10) Improperly implemented security check for standard

EUVDB-ID: #VU61003

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0801

CWE-ID: CWE-358 - Improperly Implemented Security Check for Standard

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to sensitive information.

The vulnerability exists due to incorrect implementation in HTML parser in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1231037
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0801

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

11) Permissions, Privileges, and Access Controls

EUVDB-ID: #VU61001

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0799

CWE-ID: CWE-264 - Permissions, Privileges, and Access Controls

Exploit availability: No

Description

The vulnerability allows a remote attacker to bypass implemented security restrictions.

The vulnerability exists due to insufficient policy enforcement in Installer in Google Chrome. A remote attacker can trick the victim to visit a specially crafted website, bypass implemented security measures and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1279188
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0799

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

12) Heap-based buffer overflow

EUVDB-ID: #VU60991

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0789

CWE-ID: CWE-122 - Heap-based Buffer Overflow

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a boundary error when processing untrusted HTML content in ANGLE. A remote attacker can create a specially crafted web page, trick the victim into opening it, trigger a heap-based buffer overflow and execute arbitrary code on the target system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1289383
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0789

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

13) Use-after-free

EUVDB-ID: #VU61000

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0798

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within MediaStream in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger a use-after-free error and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1283402
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0798

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

14) Buffer overflow

EUVDB-ID: #VU60999

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0797

CWE-ID: CWE-119 - Improper Restriction of Operations within the Bounds of a Memory Buffer

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise the affected system.

The vulnerability exists due to a boundary error in Mojo in Google Chrome. A remote attacker can trick the victim to visit a specially crafted webpage, trigger a stack-based buffer overflow and execute arbitrary code on the system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1281908
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0797

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

15) Use-after-free

EUVDB-ID: #VU60998

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0796

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the Media component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1295786
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0796

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

16) Type Confusion

EUVDB-ID: #VU60997

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0795

CWE-ID: CWE-843 - Access of Resource Using Incompatible Type ('Type Confusion')

Exploit availability: No

Description

The vulnerability allows a remote attacker to execute arbitrary code on the target system.

The vulnerability exists due to a type confusion error within the Blink Layout component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger a type confusion error and execute arbitrary code on the target system.

Successful exploitation of this vulnerability may result in complete compromise of vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1282782
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0795

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

17) Use-after-free

EUVDB-ID: #VU60996

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0794

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the WebShare component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1294097
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0794

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

18) Use-after-free

EUVDB-ID: #VU60995

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0793

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the Views component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1291728
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0793

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

19) Out-of-bounds read

EUVDB-ID: #VU60994

Risk: Medium

CVSSv3.1:

CVE-ID: CVE-2022-0792

CWE-ID: CWE-125 - Out-of-bounds Read

Exploit availability: No

Description

The vulnerability allows a remote attacker to gain access to potentially sensitive information.

The vulnerability exists due to a boundary condition within the ANGLE component in Google Chrome. A remote attacker can trick the victim into visiting a specially crafted web page, trigger an out-of-bounds read error and gain access to sensitive information.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1285885
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0792

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

20) Use-after-free

EUVDB-ID: #VU60993

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0791

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the Omnibox component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1278322
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0791

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?

21) Use-after-free

EUVDB-ID: #VU60992

Risk: High

CVSSv3.1:

CVE-ID: CVE-2022-0790

CWE-ID: CWE-416 - Use After Free

Exploit availability: No

Description

The vulnerability allows a remote attacker to compromise vulnerable system.

The vulnerability exists due to a use-after-free error within the Cast UI component in Google Chrome. A remote attacker can create a specially crafted web page, trick the victim into visiting it, trigger use-after-free error and execute arbitrary code on the target system.

Successful exploitation of the vulnerability may allow an attacker to compromise vulnerable system.

Mitigation

Update to version 99.0.4844.51.

Vulnerable software versions

Google Chrome: 70.0.3538.67 - 98.0.4758.102


CPE2.3 External links

http://chromereleases.googleblog.com/2022/03/stable-channel-update-for-desktop.html
http://crbug.com/1274077
http://portal.msrc.microsoft.com/en-US/security-guidance/advisory/CVE-2022-0790

Q & A

Can this vulnerability be exploited remotely?

How the attacker can exploit this vulnerability?

Is there known malware, which exploits this vulnerability?



###SIDEBAR###